Get document URLs for invoice
Basic authentication is a simple authentication scheme built into the HTTP protocol. To use it, send your HTTP requests with an Authorization header that contains the word Basic followed by a space and a base64-encoded string username:password.Example: Authorization: Basic ZGVtbzpwQDU1dzByZA==
In: header
Path Parameters
Your invoiceReference
Query Parameters
Limit number of returned items, 0 means no limit
Empty Object
Response Body
curl -X GET "https://staging1.abillify.dev/api/invoices/string/documents?limit=100&offset=10&sort=created&search=%5Bobject+Object%5D"fetch("https://staging1.abillify.dev/api/invoices/string/documents?limit=100&offset=10&sort=created&search=%5Bobject+Object%5D")package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://staging1.abillify.dev/api/invoices/string/documents?limit=100&offset=10&sort=created&search=%5Bobject+Object%5D"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://staging1.abillify.dev/api/invoices/string/documents?limit=100&offset=10&sort=created&search=%5Bobject+Object%5D"
response = requests.request("GET", url)
print(response.text)[
{
"communications": [
{
"comment": "Comment",
"created": "2020-01-01T00:00:00.000Z",
"data": {
"custom_key": "custom_value"
},
"file": "1235",
"id": "123456789",
"kind": "letter",
"label": "PDF1234.pdf",
"publicUrl": "https://staging1.abillify.dev/api/v1/communication/123456789/file"
}
],
"id": "123456789",
"issued": "2020-01-01T00:00:00.000Z",
"kind": "",
"reference": "1234567890"
}
]{
"code": 400,
"details": [
{
"error": "Value for field 'debtor' is of wrong type, expected bigint.",
"fields": [
"debtor"
],
"hint": "Value must be a number or a string containing only a number."
}
],
"message": "InvalidValue, see error details",
"name": "ClientError",
"type": "ERR_INVALID_VALUE"
}{
"code": 400,
"details": [
{
"error": "Value for field 'debtor' is of wrong type, expected bigint.",
"fields": [
"debtor"
],
"hint": "Value must be a number or a string containing only a number."
}
],
"message": "InvalidValue, see error details",
"name": "ClientError",
"type": "ERR_INVALID_VALUE"
}Get credit notes for invoice by reference GET
Previous Page
Get payments and charges for invoice by reference GET
Retrieves detailed payment and charge information for the specified invoice. The response includes all payments applied to the invoice and any charges/fees added to it. **Payments** originate from two sources: - **Transactions** (bank transfers, etc.): Identified when `booking.transaction` is set - **Other vouchers** (credit notes): Identified when `booking.transaction` is null and `booking.voucher` is set **Charges** include: - Dunning fees added during the collection process - Writeoffs for slight underpayments or adjustments - Other fees or adjustments applied to the voucher balance Use this endpoint to get a complete overview of the payment status and all financial adjustments for an invoice.